darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Repository.Resolution

# Documentation

standardResolution :: (PrimPatchBase p, Conflict p, CommuteNoConflicts p) => FL p wX wY -> Sealed (FL (PrimOf p) wY) #

externalResolution #

Arguments

:: (RepoPatch p, ApplyState p ~ Tree) |
=> DiffAlgorithm |
-> Tree IO |
-> String | external merge tool command
-> WantGuiPause | tell whether we want GUI pause
-> FL (PrimOf p) wX wY |
-> FL (PrimOf p) wX wZ |
-> FL p wY wA |
-> IO (Sealed (FL (PrimOf p) wA)) |

patchsetConflictResolutions :: RepoPatch p => PatchSet rt p Origin wX -> Sealed (FL (PrimOf p) wX) #